geos::precision::MinimumClearance Class Reference

Computes the Minimum Clearance of a Geometry. More...

`#include <MinimumClearance.h>`

## Public Member Functions

| MinimumClearance (const geom::Geometry *g)
double | getDistance ()
std::unique_ptr< geom::LineString > | getLine ()

## Detailed Description

Computes the Minimum Clearance of a Geometry.

## Member Function Documentation

## getDistance()

double geos::precision::MinimumClearance::getDistance | ( |  | ) |

Gets the Minimum Clearance distance.

Returns
  the value of the minimum clearance distance or DBL_MAX if no Minimum Clearance distance exists

## getLine()

std::unique_ptr< geom::LineString > geos::precision::MinimumClearance::getLine | ( |  | ) |

Gets a LineString containing two points which are at the Minimum Clearance distance.

Returns
  the value of the minimum clearance distance or LINESTRING EMPTY if no Minimum Clearance distance exists

The documentation for this class was generated from the following file:

- MinimumClearance.h